<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: AbstractWave Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d52/class_abstract_wave.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">AbstractWave Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a01c75a1f65441fa34c78bac5ee43a3c5"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#a01c75a1f65441fa34c78bac5ee43a3c5">InitEvents</a> ()</td></tr>
<tr class="separator:a01c75a1f65441fa34c78bac5ee43a3c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfd8e0cc03b0e90d88bac7176b5941fb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#adfd8e0cc03b0e90d88bac7176b5941fb">AbstractWave</a> ()</td></tr>
<tr class="separator:adfd8e0cc03b0e90d88bac7176b5941fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a177a70705b85b1f0a44d5cb5fc658771"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#a177a70705b85b1f0a44d5cb5fc658771">SetUserData</a> (<a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> inst)</td></tr>
<tr class="separator:a177a70705b85b1f0a44d5cb5fc658771"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04e4aa1c38ca932c262c15a39b7901f4"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#a04e4aa1c38ca932c262c15a39b7901f4">GetUserData</a> ()</td></tr>
<tr class="separator:a04e4aa1c38ca932c262c15a39b7901f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d709e1735fd2db4cf607be333c32758"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#a0d709e1735fd2db4cf607be333c32758">Play</a> ()</td></tr>
<tr class="separator:a0d709e1735fd2db4cf607be333c32758"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22b288141604b8402173e628bd7c8d7e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#a22b288141604b8402173e628bd7c8d7e">PlayWithOffset</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> offset)</td></tr>
<tr class="separator:a22b288141604b8402173e628bd7c8d7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d88cd0db69c9438c8c7cd096ab564e1"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#a8d88cd0db69c9438c8c7cd096ab564e1">Stop</a> ()</td></tr>
<tr class="separator:a8d88cd0db69c9438c8c7cd096ab564e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2070bce06b2049f61675a097d8877ef"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#af2070bce06b2049f61675a097d8877ef">Restart</a> ()</td></tr>
<tr class="separator:af2070bce06b2049f61675a097d8877ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac3f4a8001af51c97c99ce57bdc04112"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#aac3f4a8001af51c97c99ce57bdc04112">SetStartOffset</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> offset)</td></tr>
<tr class="separator:aac3f4a8001af51c97c99ce57bdc04112"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a365abd2edd79e257f8737123b6c076dc"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#a365abd2edd79e257f8737123b6c076dc">GetLength</a> ()</td></tr>
<tr class="memdesc:a365abd2edd79e257f8737123b6c076dc"><td class="mdescLeft">&#160;</td><td class="mdescRight">WARNING: Blocking! Waits for header to load.  <a href="../../d9/d52/class_abstract_wave.html#a365abd2edd79e257f8737123b6c076dc">More...</a><br /></td></tr>
<tr class="separator:a365abd2edd79e257f8737123b6c076dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8cdf694e64956b77e59c9db796c4d25"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#aa8cdf694e64956b77e59c9db796c4d25">GetCurrPosition</a> ()</td></tr>
<tr class="memdesc:aa8cdf694e64956b77e59c9db796c4d25"><td class="mdescLeft">&#160;</td><td class="mdescRight">Current position in percentage of total length.  <a href="../../d9/d52/class_abstract_wave.html#aa8cdf694e64956b77e59c9db796c4d25">More...</a><br /></td></tr>
<tr class="separator:aa8cdf694e64956b77e59c9db796c4d25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42b2cc6810746b31bf8131350e09df18"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#a42b2cc6810746b31bf8131350e09df18">Loop</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> setLoop)</td></tr>
<tr class="separator:a42b2cc6810746b31bf8131350e09df18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0227f1bf97e11348bea5157e4654385d"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#a0227f1bf97e11348bea5157e4654385d">GetVolume</a> ()</td></tr>
<tr class="separator:a0227f1bf97e11348bea5157e4654385d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a224db166bed7272eab177f1a5718d7d5"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#a224db166bed7272eab177f1a5718d7d5">SetVolume</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> value)</td></tr>
<tr class="separator:a224db166bed7272eab177f1a5718d7d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae24f4bd608584d56a63d2d0b272ae7f9"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#ae24f4bd608584d56a63d2d0b272ae7f9">SetVolumeRelative</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> value)</td></tr>
<tr class="separator:ae24f4bd608584d56a63d2d0b272ae7f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17398340608dc4456f91f5c5bfb04dab"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#a17398340608dc4456f91f5c5bfb04dab">SetFrequency</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> value)</td></tr>
<tr class="separator:a17398340608dc4456f91f5c5bfb04dab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0a31f3f9f177ebfd1704cd2de609597"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#ab0a31f3f9f177ebfd1704cd2de609597">GetFrequency</a> ()</td></tr>
<tr class="separator:ab0a31f3f9f177ebfd1704cd2de609597"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c94ab83251043b89a72a072a4f26e3e"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#a2c94ab83251043b89a72a072a4f26e3e">SetPosition</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> position)</td></tr>
<tr class="separator:a2c94ab83251043b89a72a072a4f26e3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef668f983b0e9beb647e87894919b6da"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#aef668f983b0e9beb647e87894919b6da">SetFadeInFactor</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> volume)</td></tr>
<tr class="separator:aef668f983b0e9beb647e87894919b6da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab14d060e43d6586e067c42bc05d75427"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#ab14d060e43d6586e067c42bc05d75427">SetFadeOutFactor</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> volume)</td></tr>
<tr class="separator:ab14d060e43d6586e067c42bc05d75427"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6411170885b277ccfdac6cc4fbc16359"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#a6411170885b277ccfdac6cc4fbc16359">Skip</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> timeSec)</td></tr>
<tr class="separator:a6411170885b277ccfdac6cc4fbc16359"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02d55921a307dcefe1a1f34c85b902a0"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#a02d55921a307dcefe1a1f34c85b902a0">IsHeaderLoaded</a> ()</td></tr>
<tr class="separator:a02d55921a307dcefe1a1f34c85b902a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a617216de355840dc47eca1084b2ecc5e"><td class="memItemLeft" align="right" valign="top">AbstractWaveEvents&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#a617216de355840dc47eca1084b2ecc5e">GetEvents</a> ()</td></tr>
<tr class="separator:a617216de355840dc47eca1084b2ecc5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1eee543b06d1f0ebd3f9969da5aa45d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#aa1eee543b06d1f0ebd3f9969da5aa45d">OnPlay</a> ()</td></tr>
<tr class="separator:aa1eee543b06d1f0ebd3f9969da5aa45d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7b28fdef874c383075eb894773aed29"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#af7b28fdef874c383075eb894773aed29">OnStop</a> ()</td></tr>
<tr class="separator:af7b28fdef874c383075eb894773aed29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1edac8467ebb79f827242823df707973"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#a1edac8467ebb79f827242823df707973">OnLoad</a> ()</td></tr>
<tr class="separator:a1edac8467ebb79f827242823df707973"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac9043943be295b799c727ff6e3c8499"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#aac9043943be295b799c727ff6e3c8499">OnHeaderLoad</a> ()</td></tr>
<tr class="separator:aac9043943be295b799c727ff6e3c8499"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a35dd77a670b0b3a64b21c0115fa9fb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d52/class_abstract_wave.html#a2a35dd77a670b0b3a64b21c0115fa9fb">OnEnd</a> ()</td></tr>
<tr class="separator:a2a35dd77a670b0b3a64b21c0115fa9fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00090">90</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="adfd8e0cc03b0e90d88bac7176b5941fb" name="adfd8e0cc03b0e90d88bac7176b5941fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfd8e0cc03b0e90d88bac7176b5941fb">&#9670;&#160;</a></span>AbstractWave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AbstractWave::AbstractWave </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00102">102</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa8cdf694e64956b77e59c9db796c4d25" name="aa8cdf694e64956b77e59c9db796c4d25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8cdf694e64956b77e59c9db796c4d25">&#9670;&#160;</a></span>GetCurrPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto <a class="el" href="../../d4/dc3/classfloat.html">float</a> AbstractWave::GetCurrPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Current position in percentage of total length. </p>

</div>
</div>
<a id="a617216de355840dc47eca1084b2ecc5e" name="a617216de355840dc47eca1084b2ecc5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a617216de355840dc47eca1084b2ecc5e">&#9670;&#160;</a></span>GetEvents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">AbstractWaveEvents AbstractWave::GetEvents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00135">135</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="ab0a31f3f9f177ebfd1704cd2de609597" name="ab0a31f3f9f177ebfd1704cd2de609597"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab0a31f3f9f177ebfd1704cd2de609597">&#9670;&#160;</a></span>GetFrequency()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto <a class="el" href="../../d4/dc3/classfloat.html">float</a> AbstractWave::GetFrequency </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a365abd2edd79e257f8737123b6c076dc" name="a365abd2edd79e257f8737123b6c076dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a365abd2edd79e257f8737123b6c076dc">&#9670;&#160;</a></span>GetLength()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto <a class="el" href="../../d4/dc3/classfloat.html">float</a> AbstractWave::GetLength </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>WARNING: Blocking! Waits for header to load. </p>

</div>
</div>
<a id="a04e4aa1c38ca932c262c15a39b7901f4" name="a04e4aa1c38ca932c262c15a39b7901f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04e4aa1c38ca932c262c15a39b7901f4">&#9670;&#160;</a></span>GetUserData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> AbstractWave::GetUserData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0227f1bf97e11348bea5157e4654385d" name="a0227f1bf97e11348bea5157e4654385d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0227f1bf97e11348bea5157e4654385d">&#9670;&#160;</a></span>GetVolume()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto <a class="el" href="../../d4/dc3/classfloat.html">float</a> AbstractWave::GetVolume </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a01c75a1f65441fa34c78bac5ee43a3c5" name="a01c75a1f65441fa34c78bac5ee43a3c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a01c75a1f65441fa34c78bac5ee43a3c5">&#9670;&#160;</a></span>InitEvents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void AbstractWave::InitEvents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00092">92</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="a02d55921a307dcefe1a1f34c85b902a0" name="a02d55921a307dcefe1a1f34c85b902a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02d55921a307dcefe1a1f34c85b902a0">&#9670;&#160;</a></span>IsHeaderLoaded()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto <a class="el" href="../../d9/db9/classbool.html">bool</a> AbstractWave::IsHeaderLoaded </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a42b2cc6810746b31bf8131350e09df18" name="a42b2cc6810746b31bf8131350e09df18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42b2cc6810746b31bf8131350e09df18">&#9670;&#160;</a></span>Loop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void AbstractWave::Loop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>setLoop</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2a35dd77a670b0b3a64b21c0115fa9fb" name="a2a35dd77a670b0b3a64b21c0115fa9fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a35dd77a670b0b3a64b21c0115fa9fb">&#9670;&#160;</a></span>OnEnd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AbstractWave::OnEnd </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00160">160</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="aac9043943be295b799c727ff6e3c8499" name="aac9043943be295b799c727ff6e3c8499"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac9043943be295b799c727ff6e3c8499">&#9670;&#160;</a></span>OnHeaderLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AbstractWave::OnHeaderLoad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00155">155</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="a1edac8467ebb79f827242823df707973" name="a1edac8467ebb79f827242823df707973"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1edac8467ebb79f827242823df707973">&#9670;&#160;</a></span>OnLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AbstractWave::OnLoad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00150">150</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="aa1eee543b06d1f0ebd3f9969da5aa45d" name="aa1eee543b06d1f0ebd3f9969da5aa45d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa1eee543b06d1f0ebd3f9969da5aa45d">&#9670;&#160;</a></span>OnPlay()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AbstractWave::OnPlay </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00140">140</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="af7b28fdef874c383075eb894773aed29" name="af7b28fdef874c383075eb894773aed29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7b28fdef874c383075eb894773aed29">&#9670;&#160;</a></span>OnStop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AbstractWave::OnStop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00145">145</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="a0d709e1735fd2db4cf607be333c32758" name="a0d709e1735fd2db4cf607be333c32758"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d709e1735fd2db4cf607be333c32758">&#9670;&#160;</a></span>Play()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void AbstractWave::Play </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a22b288141604b8402173e628bd7c8d7e" name="a22b288141604b8402173e628bd7c8d7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22b288141604b8402173e628bd7c8d7e">&#9670;&#160;</a></span>PlayWithOffset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AbstractWave::PlayWithOffset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>offset</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/d13/_sound_8c_source.html#l00110">110</a> of file <a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a>.</p>

</div>
</div>
<a id="af2070bce06b2049f61675a097d8877ef" name="af2070bce06b2049f61675a097d8877ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2070bce06b2049f61675a097d8877ef">&#9670;&#160;</a></span>Restart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void AbstractWave::Restart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aef668f983b0e9beb647e87894919b6da" name="aef668f983b0e9beb647e87894919b6da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef668f983b0e9beb647e87894919b6da">&#9670;&#160;</a></span>SetFadeInFactor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void AbstractWave::SetFadeInFactor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>volume</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab14d060e43d6586e067c42bc05d75427" name="ab14d060e43d6586e067c42bc05d75427"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab14d060e43d6586e067c42bc05d75427">&#9670;&#160;</a></span>SetFadeOutFactor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void AbstractWave::SetFadeOutFactor </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>volume</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a17398340608dc4456f91f5c5bfb04dab" name="a17398340608dc4456f91f5c5bfb04dab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17398340608dc4456f91f5c5bfb04dab">&#9670;&#160;</a></span>SetFrequency()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void AbstractWave::SetFrequency </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2c94ab83251043b89a72a072a4f26e3e" name="a2c94ab83251043b89a72a072a4f26e3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c94ab83251043b89a72a072a4f26e3e">&#9670;&#160;</a></span>SetPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void AbstractWave::SetPosition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>position</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aac3f4a8001af51c97c99ce57bdc04112" name="aac3f4a8001af51c97c99ce57bdc04112"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac3f4a8001af51c97c99ce57bdc04112">&#9670;&#160;</a></span>SetStartOffset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void AbstractWave::SetStartOffset </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>offset</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a177a70705b85b1f0a44d5cb5fc658771" name="a177a70705b85b1f0a44d5cb5fc658771"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a177a70705b85b1f0a44d5cb5fc658771">&#9670;&#160;</a></span>SetUserData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void AbstractWave::SetUserData </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>&#160;</td>
          <td class="paramname"><em>inst</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a224db166bed7272eab177f1a5718d7d5" name="a224db166bed7272eab177f1a5718d7d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a224db166bed7272eab177f1a5718d7d5">&#9670;&#160;</a></span>SetVolume()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void AbstractWave::SetVolume </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae24f4bd608584d56a63d2d0b272ae7f9" name="ae24f4bd608584d56a63d2d0b272ae7f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae24f4bd608584d56a63d2d0b272ae7f9">&#9670;&#160;</a></span>SetVolumeRelative()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void AbstractWave::SetVolumeRelative </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6411170885b277ccfdac6cc4fbc16359" name="a6411170885b277ccfdac6cc4fbc16359"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6411170885b277ccfdac6cc4fbc16359">&#9670;&#160;</a></span>Skip()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void AbstractWave::Skip </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>timeSec</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8d88cd0db69c9438c8c7cd096ab564e1" name="a8d88cd0db69c9438c8c7cd096ab564e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d88cd0db69c9438c8c7cd096ab564e1">&#9670;&#160;</a></span>Stop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto void AbstractWave::Stop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../d1/d13/_sound_8c_source.html">Sound.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/d52/class_abstract_wave.html">AbstractWave</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
